Create Connection
POST
/connections
const url = 'https://example.com/connections';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"setup_token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/connections \ --header 'Content-Type: application/json' \ --data '{ "setup_token": "example" }'Exchange a one-time SimpleFIN setup token; the access URL is stored encrypted and never returned.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ConnectionCreate
object
setup_token
required
Setup Token
string
Example generated
{ "setup_token": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ConnectionOut
object
Example generated
{ "created_at": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "last_fetch_at": "2026-04-15T12:00:00Z", "provider": "example", "status": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}